Bug 1121254 - [abrt] libreoffice-core: compareTo(): soffice.bin killed by SIGSEGV
Summary: [abrt] libreoffice-core: compareTo(): soffice.bin killed by SIGSEGV
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Tardon
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c8604296154a38b6be92dee8e89...
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-18 19:03 UTC by Pat Blair
Modified: 2014-08-07 15:28 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-08-01 02:27:08 UTC


Attachments (Terms of Use)
File: backtrace (59.24 KB, text/plain)
2014-07-18 19:03 UTC, Pat Blair
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-18 19:03 UTC, Pat Blair
no flags Details
File: core_backtrace (23.70 KB, text/plain)
2014-07-18 19:03 UTC, Pat Blair
no flags Details
File: dso_list (24.03 KB, text/plain)
2014-07-18 19:03 UTC, Pat Blair
no flags Details
File: environ (1.85 KB, text/plain)
2014-07-18 19:03 UTC, Pat Blair
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-18 19:03 UTC, Pat Blair
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-18 19:03 UTC, Pat Blair
no flags Details
File: maps (115.73 KB, text/plain)
2014-07-18 19:03 UTC, Pat Blair
no flags Details
File: open_fds (520 bytes, text/plain)
2014-07-18 19:03 UTC, Pat Blair
no flags Details
File: proc_pid_status (946 bytes, text/plain)
2014-07-18 19:03 UTC, Pat Blair
no flags Details
File: var_log_messages (366 bytes, text/plain)
2014-07-18 19:03 UTC, Pat Blair
no flags Details

Description Pat Blair 2014-07-18 19:03:12 UTC
Description of problem:
Just installed new fonts and was trying to select one of the new fonts when LibreOffice crashed.

Version-Release number of selected component:
libreoffice-core-4.2.5.2-6.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer --splash-pipe=5
crash_function: compareTo
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.15.5-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 compareTo at /usr/src/debug/libreoffice-4.2.5.2/include/rtl/ustring.hxx:440
 #1 FontList::ImplFind at /usr/src/debug/libreoffice-4.2.5.2/svtools/source/control/ctrltool.cxx:185
 #2 FontList::ImplFindByName at /usr/src/debug/libreoffice-4.2.5.2/svtools/source/control/ctrltool.cxx:242
 #3 FontList::Get at /usr/src/debug/libreoffice-4.2.5.2/svtools/source/control/ctrltool.cxx:686
 #4 SvxFontNameBox_Impl::UserDraw at /usr/src/debug/libreoffice-4.2.5.2/svx/source/tbxctrls/tbcontrl.cxx:998
 #5 ImplUserDrawHdl at /usr/src/debug/libreoffice-4.2.5.2/vcl/source/control/combobox.cxx:1300
 #6 ComboBox::LinkStubImplUserDrawHdl at /usr/src/debug/libreoffice-4.2.5.2/vcl/source/control/combobox.cxx:1298
 #7 Call at /usr/src/debug/libreoffice-4.2.5.2/include/tools/link.hxx:123
 #8 ImplListBoxWindow::ImplPaint at /usr/src/debug/libreoffice-4.2.5.2/vcl/source/control/ilstbox.cxx:1820
 #9 ImplListBoxWindow::ImplDoPaint at /usr/src/debug/libreoffice-4.2.5.2/vcl/source/control/ilstbox.cxx:1977

Comment 1 Pat Blair 2014-07-18 19:03:15 UTC
Created attachment 919159 [details]
File: backtrace

Comment 2 Pat Blair 2014-07-18 19:03:16 UTC
Created attachment 919160 [details]
File: cgroup

Comment 3 Pat Blair 2014-07-18 19:03:17 UTC
Created attachment 919161 [details]
File: core_backtrace

Comment 4 Pat Blair 2014-07-18 19:03:18 UTC
Created attachment 919162 [details]
File: dso_list

Comment 5 Pat Blair 2014-07-18 19:03:19 UTC
Created attachment 919163 [details]
File: environ

Comment 6 Pat Blair 2014-07-18 19:03:19 UTC
Created attachment 919164 [details]
File: exploitable

Comment 7 Pat Blair 2014-07-18 19:03:20 UTC
Created attachment 919165 [details]
File: limits

Comment 8 Pat Blair 2014-07-18 19:03:21 UTC
Created attachment 919166 [details]
File: maps

Comment 9 Pat Blair 2014-07-18 19:03:22 UTC
Created attachment 919167 [details]
File: open_fds

Comment 10 Pat Blair 2014-07-18 19:03:23 UTC
Created attachment 919168 [details]
File: proc_pid_status

Comment 11 Pat Blair 2014-07-18 19:03:24 UTC
Created attachment 919169 [details]
File: var_log_messages

Comment 12 David Tardon 2014-07-24 12:23:18 UTC
Is the crash reproducible? If yes, what fonts are these? Are they usable in another application, e.g., abiword?

Also, was libreoffice running when you added the fonts? (We fixed one bug on that kind some time ago; maybe there is another one.)

Comment 13 Pat Blair 2014-07-24 23:59:46 UTC
Crash is reproducible when adding the following fonts while LibreOffice is running.

google-droid-sans-fonts.noarch
google-droid-sans-mono-fonts.noarch
google-droid-serif-fonts

I tried with abiword as well and did not encounter an issue. Also, it seems to work just fine if the fonts are installed while libreoffice is not running. Only when it is running and the font dropdown is selected after installing the fonts.

Comment 14 David Tardon 2014-07-25 07:43:42 UTC
reproducible

Comment 15 Fedora Update System 2014-07-29 14:24:21 UTC
libreoffice-4.2.6.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreoffice-4.2.6.2-1.fc20

Comment 16 Fedora Update System 2014-07-30 06:56:46 UTC
Package libreoffice-4.2.6.2-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.2.6.2-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8965/libreoffice-4.2.6.2-1.fc20
then log in and leave karma (feedback).

Comment 17 Pat Blair 2014-07-31 00:21:01 UTC
Issue resolved in version:

libreoffice-4.2.6.2-1.fc20

Thanks!

Comment 18 Fedora Update System 2014-08-07 15:28:40 UTC
libreoffice-4.2.6.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.